<?
$numcomment = "10";//Число сообщений на странице
$numcop = "10";//Число выводимых пополнений копилки
$copval = "руб.";//Валюта


$num = $numcomment;
$upag = "copilca.php?";
$page = intval($_GET['n']);
$numpag = mysql_query("SELECT COUNT(*) FROM still_comcop");
$np = mysql_result($numpag, 0);
$obpag = intval(($np - 1) / $num) + 1;
if(empty($page) or $page < 0) $page = 1;
if($page > $obpag) $page = $obpag;
$nach = $page * $num - $num;

$copilca = mysql_query("SELECT * FROM still_copilca ORDER BY id DESC LIMIT ".$numcop."");
if(isset($_SESSION["username"]) && isset($_SESSION["password"]))
{
if($_POST["status"]!=""){
  if($_POST["status"]=="comment"){
    if($_POST["comtext"]==""){
      $errcom = "Нет текста сообщения";
    }else{
      if(strtolower($_POST['code'])!= strtolower($_SESSION['captcop']) or $_POST['code']==""){
        $errcom = "Неверно введен проверочный код";
      }else{ unset($_SESSION['captcop']);
        require_once('copilca/bbcode.php');

        $idu = $duser["id"];
        $date = time();
        $bdcomment = bbcod($_POST["comtext"], true, true);

        mysql_query("INSERT INTO still_comcop (idu, text, date)
	    VALUES('$idu','$bdcomment', '$date')");


        $errcom = "<b style=\"color:#00aa00;\">Сообщение добавлено</b>";

      }
    }
  }elseif($_POST["status"]=="copilca"){
  	if(strtolower($_POST['code'])!= strtolower($_SESSION['copilca']) or $_POST['code']==""){
        $errcop = "Неверно введен проверочный код";
    }else{ unset($_SESSION['copilca']);


  	  $money = round($_POST["money"],3);
      if((is_float($money))&& ($money > 0)){
      	if($duser["money_cr"] < $money)
	    {
		  $errcop = "На счету недостаточно средств";
	    }else{
         $errcop = "<b style=\"color:#00aa00;\">Средства зачислены</b>";

         $dus = $duser["username"];
         mysql_query("update tb_users set money_cr=money_cr-'$money' where username='$dus'");

         $date = time();
         mysql_query("INSERT INTO still_copilca (date,users,money) VALUES('$date','$dus','$money')");


        }
      }else{
         $errcop = "Сумма указана не верно";
      }
    }
  }
}
}
?>